package dev.fitko.fitconnect.api.domain.sender.steps.unencrypted;

import java.net.URI;

public interface DataStep {

    /**
     * JSON data as string.
     *
     * @param data json string
     * @param schemaUri schema URI indicating which schema the subscriber should use when parsing the data
     * @return next step to submit the data
     */
    OptionalPropertiesStep setJsonData(String data, URI schemaUri);

    /**
     * XML data as string.
     *
     * @param data xml string
     * @param schemaUri schema URI indicating which schema the subscriber should use when parsing the data
     * @return next step to submit the data
     */
    OptionalPropertiesStep setXmlData(String data, URI schemaUri);
}
